gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An interface for specifying a tree model that is sortable. GLib.IWrapper
- Method
  System.Void Fires a event. Designed to be called by routines that change the sort of the tree.
- Method
  System.Void `` `` Sets which column is to be used to sort the data in the tree. A , the sort column index. A , the kind of sort to use
- Method
  System.Void `` `` `` `` Sets a function that should be used to be sort a particular column. A , the index of the column to be sorted A , the function to use for sorting An , pointer to the user data, or A to be called when user data is destroyed, or . This method is meant to be used together with .(FIXME: explain the user data parameter.)
- Method
  System.Void `` `` `` Sets a function that should be used to be sort columns by default if not otherwise specified by . A , the function to use for sorting An , pointer to the user data, or A to be called when user data is destroyed, or . This method is meant to be used together with .(FIXME: explain the user data parameter.)
- Event
  System.EventHandler Fired when the sort column is changed.
- Method
  System.Boolean `` `` Returns the index of the column currently being used to sort the model data. a , an integer to put the results in a , an object to put the type of sort into a
- Property
  System.Boolean Return whether this TreeModel has a default sort function or not. a , true if a default sort function exists. See to set a default sort function.